# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.media.mediarss
Class MediaKeywords

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.media.mediarss.MediaKeywords

All Implemented Interfaces:
  Extension

    public class MediaKeywords

extends AbstractExtension

`<media:keywords>`. See description on http://search.yahoo.com/mrss.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`MediaKeywords()`

Method Summary
`void` `addKeyword(java.lang.String keyword)`
`void` `addKeywords(java.util.Collection<java.lang.String> keywords)`
`void` `clearKeywords()`
`protected void` `consumeAttributes(AttributeHelper attrsHelper)` Consumes attributes from the attribute helper.
`static ExtensionDescription` `getDefaultDescription()` Describes the tag to an `ExtensionProfile`.
`java.util.List<java.lang.String>` `getKeywords()`
`protected void` `putAttributes(AttributeGenerator generator)` Puts attributes into the attribute generator.

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, getHandler, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MediaKeywords

    public MediaKeywords()

Method Detail

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription()

  Describes the tag to an `ExtensionProfile`.

### getKeywords

    public java.util.List<java.lang.String> getKeywords()

### addKeyword

    public void addKeyword(java.lang.String keyword)

### addKeywords

    public void addKeywords(java.util.Collection<java.lang.String> keywords)

### clearKeywords

    public void clearKeywords()

### putAttributes

    protected void putAttributes(AttributeGenerator generator)

  Description copied from class: `AbstractExtension`
  Puts attributes into the attribute generator. Called from `AbstractExtension.generate(XmlWriter,ExtensionProfile)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Overrides:
    `putAttributes` in class `AbstractExtension`
  Parameters:
    `generator` - attribute generator

### consumeAttributes

    protected void consumeAttributes(AttributeHelper attrsHelper)
                              throws ParseException

  Description copied from class: `AbstractExtension`
  Consumes attributes from the attribute helper. May also use `AttributeHelper.consumeContent(boolean)` to consume the element's text content. Called from `AbstractExtension.getHandler(com.google.gdata.data.ExtensionProfile, java.lang.String, java.lang.String, org.xml.sax.Attributes)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Overrides:
    `consumeAttributes` in class `AbstractExtension`
  Parameters:
    `attrsHelper` - attribute helper
  Throws:
    `ParseException` - any parsing exception